<?
require_once('include/global.php');
require_once('include/admin_lib.php');
require_once('sadmin_conf.inc.php');

mail_server_check_limit();		// 메일서버가 동작중인지 확인

// check


// set
	$CFG['TITLE'] = '<b>메일서버관리</b> >> <b>앨리어스 도메인 관리</b> >> <b>추가</b>';


// data
	$row = array();
	$view = array();

	// 선택된 도메인이 없을때는 로그인한 사용자의 도메인으로 선택.
		if (!$_GET['sa_d_no'])
			$_GET['sa_d_no'] = $G['DINFO']['d_no'];

	// 도메인
		$q = "SELECT * FROM ".$TB['DOMAIN']." WHERE d_is_use='Y' ORDER BY d_name";
		$mbr_domain = db_get_rows($q, true);
		$view['sa_d_no'] = select_list_value($_GET['sa_d_no'], $mbr_domain['d_name'], $mbr_domain['d_no'], NULL, 0, 1);
		$view['da_mail_from_select'] = select_list_value('N', array_values($G[ISUSE]), array_keys($G[ISUSE]), NULL, 0, 1);


// skin view
	$CFG['ACTION'] = 'sdomain_alias_add_ok.php';
	nskinset('sadmin', 'sdomain_alias_form.html');
	include($NSKIN['view_layout']);


require_once('include/global_end.php');
?>